# DedSec Binary Decoder 🔰

<div align="center">
  <img src="https://raw.githubusercontent.com/dedsecDS/dedsec-decoder/main/assets/dedsec_logo.png" alt="DedSec Logo" width="200"/>

  [![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
  [![Python 3.6+](https://img.shields.io/badge/python-3.6+-blue.svg)](https://www.python.org/downloads/)
  [![Version](https://img.shields.io/badge/version-1.0.0-green.svg)](https://github.com/dedsecDS/dedsec-decoder)
</div>

## 📝 Description

DedSec Binary Decoder is a binary encoding/decoding tool developed by the DedSec community. It allows you to convert messages to binary and vice versa with an interactive interface.

## ⚙️ Quick Installation

```bash
pip install dedsec-decoder
```

## 🛠️ Manual Installation (Linux/Termux)

1. System update:
```bash
apt update
apt upgrade
```

2. Install dependencies:
```bash
apt install git
pkg install python
pip install user-agents
pip install pyfiglet
```

3. Clone the repository:
```bash
git clone https://github.com/dedsecDS/dedsec-decoder
cd dedsec-decoder
```

4. Installation:
```bash
pip install .
```

## 🚀 Usage

After installation, simply run:
```bash
DS_DECODE
```

## 🔧 Features

- 🔄 Text → Binary conversion
- 🔄 Binary → Text conversion
- 🎨 ASCII art interface
- 🌈 Colored output
- ⚡ Optimized performance

## 📱 Contact

- Telegram: t.me/Mr_2806
- TikTok: dedsec_x.0
- YouTube: Dedsec assistant
- Email: DEDSECVIP@proton.me

## 🔒 Security

This program is provided for educational purposes only. Use this tool only on systems for which you have authorization.

## 📄 License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for more details.

## 🤝 Contribution

Contributions are welcome! Feel free to:
1. Fork the project
2. Create your branch (`git checkout -b feature/AmazingFeature`)
3. Commit your changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

## ⭐ Credits

Developed by the DedSec community - 2025

---

Let me know if you need further assistance! 🚀